
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Web前端开发最佳实践》——导读 / iVAN</title>

    <meta name="description" content="《Web前端开发最佳实践》——导读 前 言 Web前端开发入门难度并不高,但是初学者如果没有一个很好的学习和编码习惯,则开发水平的提高速度会变得很慢.下面几点是影响Web前端开发者技术提高的主要因素. 其一是开发者缺乏良好的实践指导.Web前端兴起的时间不长,很多大学都还没有来得及开一门专门讲解Web前端的课程,因此,大部分的Web前端开发者都是通过自学的方式来了解Web前端相关的技术.开发者学习前端技术的渠道很多,其中很大一部分是通过查找网络资源的方式,而网络上充斥着大量的错误或者过时的实践方法,这些实践方法很容易误导初学者,使">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《Web前端开发最佳实践》——导读</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzQ1MWU1ZGQ0ZTIyMTFiNTk3NjNmM2FlNTIyOTAyMzNiODQwYzAwMWEucG5n.jpg"></p>
<p>前　言</p>
<p>Web前端开发入门难度并不高，但是初学者如果没有一个很好的学习和编码习惯，则开发水平的提高速度会变得很慢。下面几点是影响Web前端开发者技术提高的主要因素。<br />
其一是开发者缺乏良好的实践指导。Web前端兴起的时间不长，很多大学都还没有来得及开一门专门讲解Web前端的课程，因此，大部分的Web前端开发者都是通过自学的方式来了解Web前端相关的技术。开发者学习前端技术的渠道很多，其中很大一部分是通过查找网络资源的方式，而网络上充斥着大量的错误或者过时的实践方法，这些实践方法很容易误导初学者，使得初学者养成了一些不良的开发习惯。因此，Web前端开发的初学者非常需要一些能帮助他们快速、正确地进行Web前端开发的最佳实践方法。<br />
其二是开发者容易产生浮躁的情绪。Web前端虽然兴起时间不长，但是发展很迅速，技术的更新换代也非常快，这本来是一件好事情，但也使得很多Web前端开发者产生了浮躁的情绪。开发者疲于追逐各种最新的技术，而忽略了最基础的技术概念。这些开发者对Node. js、AngularJS、Polymer等相关概念相当熟悉，但对HTML标准规范、AJAX的原理、CSS选择器的优先级等基本的概念却理解得不够深入。实质上，虽然Web前端技术更新换代速度很快，但也离不开HTML、CSS、JavaScript这3个基本的技术。Web前端的开发者应该明白：只有掌握了扎实的基础知识，才能在学习新技术的时候更容易上手，并且更快地理解新技术的原理，否则只是接触新技术的皮毛而已。<br />
其三是开发者不善于利用各种开发工具。人类文明之所以快速发展，和人类善于使用工具是分不开的。人类是感性动物，并不能保证每次都能正确地做同样的事情，但工具不一样，只要环境相同，工具每次处理的结果应该是一样的。类比到Web前端开发中，聪明的程序员应该学会利用各种辅助开发工具来提高开发效率，减少不必要的错误。Web前端开发中的工具覆盖了开发过程的方方面面，包括设计、开发、测试、部署等阶段的辅助工具。善于使用工具也是Web前端开发中必备的一项技能。</p>
<p>目　录</p>
<p>第一部分　高效Web前端开发综述<br />第1章　Web前端开发概述<br />1.1　Web前端开发的范畴<br />1.2　Web前端开发现状<br />1.3　规范的Web前端代码：更易维护、更高性能和更安全<br />第2章　高效Web前端开发<br />2.1　前端代码的结构组织和文件的命名<br />2.2　前端代码重构<br />2.3　合理使用前端框架<br />2.4　多浏览器测试：多测试，早测试<br />2.5　Web前端代码开发和调试<br />2.6　前端代码基本命名规范和格式规范<br />
第二部分　HTML最佳实践<br />第3章　标准的HTML代码<br />3.1　验证代码是否符合标准<br />3.2　标准的HTML页面结构<br />3.3　正确闭合HTML标签<br />3.4　停止使用不标准的标签和属性，简化HTML代码<br />3.5　样式与结构分离<br />3.6　添加JavaScript禁用的提示信息<br />3.7　添加必要的&lt; meta &gt;标签</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-12 11:29:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91%e5%b7%a5%e5%85%b7/" title="开发工具">开发工具</a>, <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/aliyun/" title="aliyun">aliyun</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/html/" title="html">html</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e7%ab%af%e5%bc%80%e5%8f%91/" title="前端开发">前端开发</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《Web前端开发最佳实践》——导读的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5oaD7b.html" rel="bookmark">《深入理解Scala》&mdash;&mdash;第1章，第1&period;2节当函数式编程遇见面向对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 当函数式编程遇见面向对象 深入理解Scala 函数式编程和面向对象编程是软件开发的两种不同途径.函数式编程并非什么新概念,在现代开发者的开发工具箱里也绝非是什么天外来客.我们将通过Java生态圈里的例子来展示这一点,主要来看Spring Application framework和Google Collections库.这两个库都在Java的面向对象基础上融合了函数式的概念,而如果我们把它们翻译成Scala,则会优雅得多.在深入之前,我们需要先理解面向对象编程和函数式编程这两个术语的含义			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo7wqDb.html" rel="bookmark">《深入理解Scala》&mdash;&mdash;第1章，第1&period;4节与JVM的无缝集成</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 与JVM的无缝集成 深入理解Scala Scala的吸引力之一在于它与Java和JVM的无缝集成.Scala与Java有很强的兼容性,比如说Java类可以直接映射为Scala类.这种紧密联系使Java到Scala的迁移相当简单,但在使用Scala的一些高级特性时还是需要小心的,Scala有些高级特性是Java里没有的.在Scala语言设计时已经小心地考虑了与Java无缝交互的问题,用Java写的库,大部分可以直接照搬(as-is)到Scala里. 1.4.1 Scala调用Java 从S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Nx7nz.html" rel="bookmark">《深入理解Scala》&mdash;&mdash;第2章，第2&period;1节学习使用Scala交互模式（REPL）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 核心规则深入理解Scala 本章包括的内容: • 使用Scala交互模式(Read Eval Print Loop 简称REPL) • 面向表达式编程 • 不变性(Immutability) • Option类 本章内容覆盖了每个新Scala开发者都需要知道的几个主题.本章不会深入到每个主题里,但是会讲到可以让你自己去接着探索的程度.你将学会使用REPL,学会如何利用这个工具做软件的快速原型开发.然后我们会学到面向表达式编程,并从另一个视角来看控制结构是怎么回事.在此基础上,我们来研究不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjL7o0p.html" rel="bookmark">《深入理解Scala》&mdash;&mdash;第1章，第1&period;3节静态类型和表达力</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 静态类型和表达力 深入理解Scala 开发人员中有一个误解,认为静态类型必然导致冗长的代码.之所以如此是因为很多继承自C的语言强制要求程序员必须在代码中多处明确地指定类型.随着软件开发技术和编译器理论的发展,情况已经改变.Scala利用了其中一些技术进步来减少样板(boilerplate)代码,保持代码简洁. Scala做了以下几个简单的设计决策,以提高代码表达力. • 把类型标注(type annotation)换到变量右边. • 类型推断. • 可扩展的语法. • 用户自定义的隐式转			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3JPxJz.html" rel="bookmark">《深入理解Scala》&mdash;&mdash;第1章，第1&period;5节总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.5 总结 深入理解Scala 本章中,你学到了一些Scala的设计理念.设计Scala的初衷在于把不同语言中的多种概念融合起来.Scala融合了函数式和面向对象编程,尽管显然Java也已经这么做了.Scala精选其语法,极大地减少了语言中的繁冗之处,使一些强大的特性可以优雅地表达,比如类型推断.最后,Scala和Java能够紧密集成,而且运行在Java虚拟机上,这或许是让Scala变成一种实用选择的最重要的一点.几乎不花代价就可以把Scala用于我们的日常工作中. 因为Scala融合了多种概			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNng0dM.html" rel="bookmark">《深入理解Scala》&mdash;&mdash;第1章，第1&period;1节Scala一种混合式编程语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 Scala--一种混合式编程语言 Scala是一种将其他编程语言中的多种技巧融合为一的语言.Scala尝试跨越多种不同类型的语言,给开发者提供面向对象编程.函数式编程.富有表达力的语法.静态强类型和丰富的泛型等特性,而且全部架设于Java虚拟机之上.因此开发者使用Scala时可以继续使用原本熟悉的某种编程特性,但要发挥Scala的强大能力则需要结合使用这些有时候相互抵触的概念和特性,建立一种平衡的和谐.Scala对开发者的真正解放之处在于让开发者可以随意使用最适合手头上的问题的编程范式.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwJvXmp.html" rel="bookmark">《深入理解Scala》&mdash;&mdash;第2章，第2&period;2节优先采用面向表达式编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 优先采用面向表达式编程 深入理解Scala 面向表达式编程是个术语,意思是在代码中使用表达式而不用语句.表达式和语句的区别是什么?语句是可以执行的东西,表达式是可以求值的东西.在实践中这有什么意义呢?表达式返回值,语句执行代码,但是不返回值.本节我们将学习面向表达式编程的全部知识,并理解它对简化程序有什么帮助.我们也会看一下对象的可变性,以及可变性与面向表达式编程的关系. 作者注:语句VS表达式 语句是可以执行的东西,表达式是可以求值的东西. 表达式是运算结果为一个值的代码块.Scala			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZBjwkz.html" rel="bookmark">《深入理解Scala》&mdash;&mdash;第2章，第2&period;3节优先选择不变性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 优先选择不变性 深入理解Scala 编程中的不变性指对象一旦创建后就不再改变状态.这是函数式编程的基石之一,也是JVM上的面向对象编程的推荐实践之一.Scala也不例外,在设计上优先选择不变性,在很多场景中把不变性作为默认设置.对此,你可能一下子会不适应.本节中,我们将学到不变性对于判等问题和并发编程能提供什么帮助. Scala里首先要明白的是不变对象和不变引用(immutable referene)的区别.Scala里的所有变量都是指向对象的引用.把变量声明为val意味着它是个不变&quot;引			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBgBY4M.html" rel="bookmark">《深入理解Scala》&mdash;&mdash;第2章，第2&period;4节用None不用null</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 用None不用null深入理解Scala Scala在标准库里提供了scala.Option类,鼓励大家在一般编程时尽量不要使用null.Option可以视作一个容器,里面要么有东西,要么什么都没有.Option通过两个子类来实现此含义:Some和None.Some表示容器里有且仅有一个东西,None表示空容器,有点类似List的Nil的含义. 在Java和其他允许null的语言里,null经常作为一个占位符用于返回值,表示非致命的错误,或者表示一个变量未被初始化.Scala里,你可以用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRNPX3M.html" rel="bookmark">《深入理解Scala》&mdash;&mdash;第2章，第2&period;5节多态场景下的判等</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 多态场景下的判等 深入理解Scala 众所周知,为多态的面向对象系统定义合适的判等和散列方法是个特别难的过程.这是因为子类可能在整个过程中造成一些相当怪异的问题,尤其是当类型层次上有多个实体(concrete)级别的时候.一般来说,对于需要比引用判等更强的判等(译者注:比如需要判断对象内部数据)的类,最好避免多层实体类层次.这是什么意思呢?有些时候类只需要引用判等就够了.也就是说只要两个对象不是同一个实例就判为不等.但是如果我们需要判断两个不同实例是否相等,而且又有多层实体类层次(mul			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnKKjz.html" rel="bookmark" class="title">【导入导出】EXP-00079</a>
					<div>
						当我们对一个启用管理精细审计的表进行导出数据时,会出现如下错误: EXP-00079: 表 &quot;PURCHASEORDER&quot; 中的数据是被保护的.常规路径只能导出部分表. . . 正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5kEAb.html" rel="bookmark" class="title">Mysql关于数据库和表的几个最基本命令</a>
					<div>
						  SELECT DATABASE(); 列出当前所选择的数据库,如果未选择数据库则显示NULL; SHOW DATABASES; 列出服务器上当前存在的数据库; USE databasename;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn5o0M.html" rel="bookmark" class="title">关于存储过程分页，我的测试情况</a>
					<div>
						存储过程|分页 在精华区中关于存储过程分页大概有三种思路分别是:临时表,参见658037 在下提供一个存储过程分页的方法游标,参见658066 一种理论上最快的Web数据库分页方法! set rowc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbE0Aoz.html" rel="bookmark" class="title">ASP&period;Net中利用CSS实现多界面的方法</a>
					<div>
						asp.net|css 通过使页面动态加载不同CSS实现多界面       方法一: &lt;%@page language=&quot;C#&quot;%&gt; &lt;%@import name ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPYv0z.html" rel="bookmark" class="title">多核CPU和它们带来的并发性改变</a>
					<div>
						摩尔定律(戈登·摩尔 1965 年预测,每个集成电路的元件数量每 18 到 24 个月就会翻一倍)仍然适用,它的适用性 预计会持续到 2015-2020 年.2005 年之前,CPU 时钟速率也在同步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOk24b.html" rel="bookmark" class="title">oracle 11g的在线重定义简介</a>
					<div>
						在Oracle9i出现之前,你只能通过MOVE或导出和导入的方式来进行表的重定义,因此表重定义的过程可能相当漫长或者说是一个离线过程,在此期间应用程序对该表的操作将失败.除了这个,如果用exp,我们也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKOPrp.html" rel="bookmark" class="title">如何在PPT中制作镂空文字</a>
					<div>
						  如何在PPT中制作镂空文字        1.打开PPT2013,插入一个矩形,输入文字若干,调整大小,摆放到合适位置: 2.按住Ctrl键,鼠标左键单击,同时选中文字与色块(先选中色块,再选中文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrJq5p.html" rel="bookmark" class="title">64位Windows7需要安装杀毒软件吗？</a>
					<div>
						从Windows XP开始,微软就开始同步为每一款Windows操作系统开发并发行对应的64位版本了,但因为目前主流的32位应用程序和64位操作系统之间的兼容性问题,导致64位的操作系统远还没有达到普 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL49Rb.html" rel="bookmark" class="title">Photoshop合成电影中科技通讯效果</a>
					<div>
						最终效果图: 1.首先创建一个新文档,然后使用渐变工具填充一个线性渐变效果,颜色为#000000到#245574,如图所示. 2.创建一个新图层,然后使用柔角画笔,在右上角和左下角画两个白色的大圆点, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kyraz.html" rel="bookmark" class="title">12个最值得收藏的摄影师个人网站</a>
					<div>
						  今天推荐的这组,不仅是艺术范儿十足的个人网站,也是高清大图的聚集地.每个网站都有摄影师的私人作品展示,相当有味道,感受下 &gt;&gt;&gt; Lara Jade Tony D'Ori Jul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oNOmb.html" rel="bookmark" class="title">电脑蓝屏代码0x000000d1怎么办？</a>
					<div>
						  电脑蓝屏代码0x000000d1怎么办? 1.引发这种问题的原因可能是硬件没有插牢固,比如内存,显卡之类的,重新拔插后尝试开机. 2.假如蓝屏中出现&quot;acpi.sys&quot;等类似文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3WJEM.html" rel="bookmark" class="title">30个漂亮视差滚动网站赏析</a>
					<div>
						  今天推荐的视差滚动网站有点特别,是纵横向兼有的,还包括了flickr.tumblr.bahance等知名网站,希望你能在这里找到灵感,创建一个自己的视差滚动网站 : ) Fendi Life Tw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdkL5M.html" rel="bookmark" class="title">排名精灵怎么样？</a>
					<div>
						  --排名精灵功能 1.简单易用,快速精准; 2.软件支持流量控制,用户可根据自己需要自行控制进入自己网站流量; 3.软件支持流量优化功能,每个流量均有来源网址; 4.软件可设置开机自动运行,隐藏托 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWAA0b.html" rel="bookmark" class="title">CPU和GPU的区别是什么&quest;</a>
					<div>
						  首先需要解释CPU(Central Processing Unit)和GPU(Graphics Processing Unit)这两个缩写分别代表什么.CPU即中央处理器,GPU即图形处理器.其次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP2qZp.html" rel="bookmark" class="title">关于c&plus;&plus;的中函数指针作为参数的问题</a>
					<div>
						问题描述 关于c++的中函数指针作为参数的问题 函数实现 void swap(int &amp;a, int &amp;b) { int tmp = a; a = b; b = tmp; } 函数使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NXx9M.html" rel="bookmark" class="title">&lbrack;MySQL 学习&rsqb;show engine innodb status中的history list length</a>
					<div>
						Percona bug#1058100提到trx_purge_add_update_undo_to_history函数,不甚了解,用gdb跟踪了下 trx_commit_off_kernel-&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7D7Oz.html" rel="bookmark" class="title">js新手跪求这个轮播图怎么自动轮播</a>
					<div>
						问题描述 js新手跪求这个轮播图怎么自动轮播 &lt;script type=&quot;&quot;text/javascript&quot;&quot;&gt; var li_num; var t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YLJXM.html" rel="bookmark" class="title">文档乱、调试难&hellip;TensorFlow有那么多缺点，但为何我们依然待它如初恋？</a>
					<div>
						作为谷歌AlphaGo背后的强大推动力,于2015年底开源的TensorFlow一经推出便受到极大关注.目前在所有机器学习框架中,如果它宣称使用普及率第二,没人敢说自己是第一. 虽说有谷歌的背书,社区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm3PRz.html" rel="bookmark" class="title">人脸识别技术或将广泛应用于课堂</a>
					<div>
						好老师也不一定能一眼看出来哪个学生有学习困难哪个学生学有余力.不过在未来,当http://www.aliyun.com/zixun/aggregation/9600.html&quot;&gt;笔记本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YNJqM.html" rel="bookmark" class="title">服务器-如何在Windows Server2012系统中搭建VPN服务</a>
					<div>
						问题描述 如何在Windows Server2012系统中搭建VPN服务 想在Windows Server2012系统中搭建一个VPN服务,,,然后用其他电脑连接 通过网上按别人的方法自己操作了一遍, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmKBVb.html" rel="bookmark" class="title">以前认为数据库就是一层，但现在学习的Hbase&comma;HDFS的数据库，怎么感觉是多层？应怎样理解？</a>
					<div>
						问题描述 以前认为数据库就是一层,但现在学习的Hbase,HDFS的数据库,怎么感觉是多层?应怎样理解? 以前学习数据库时,就只知道MySql,就这一个东西就是数据库. 但现在学习大数据,了解到 Ti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9400Kb.html" rel="bookmark" class="title">python字符串操作-python中，指定截取字段</a>
					<div>
						问题描述 python中,指定截取字段 如题,以下是返回的数据,我想截取6fd9ca67这个字符,怎么实现,用正则表达式的话怎么写?['List of devices attached ']['6fd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1Wgdz.html" rel="bookmark" class="title">《深入剖析Tomcat》一第  1  章 一个简单的Web服务器</a>
					<div>
						第 1 章 一个简单的Web服务器 本章介绍Java Web服务器是如何运行的.Web服务器也称为超文本传输协议(HyperText Transfer Protocol,HTTP)服务器,因为它使用H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV01nBM.html" rel="bookmark" class="title">MyEclipse中package explorer过滤掉关闭后的项目</a>
					<div>
						一.基本概念一个工作目录下会有很多项目,在开发一个项目的时候,最好把其余项目都关闭,否则IDE有时会出错.但关闭后的项目仍然显示在视图中,给开发带来些许的不便.MyEclpise中提供了过滤方法,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZBqDz.html" rel="bookmark" class="title">来自中国、印度和其他发展中国家的25亿人将步入中产阶级</a>
					<div>
						在未来15年,来自中国.印度和其他发展中国家的25亿人将步入中产阶级.他们将需要高楼大厦来居住,需要超市来购物.他们需要智能手机,汽车,牛排,空调,宠物服装,迪士尼乐园的假期还有沙发靠枕. 今天,地球 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBJgOM.html" rel="bookmark" class="title">JS</a>
					<div>
						问题描述 我用JS做了个界面,后台用的vb,不知道为什么,用JS调用我自己做的ActiveX控件,界面会出现闪屏现象,动鼠标闪,点击界面也闪.导致我无法从ActiveX中获取我想要的信息了,因为一闪屏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xWa4b.html" rel="bookmark" class="title">新手初学，关于绘图代码有一处未明，请教</a>
					<div>
						问题描述 主要问题是,paintComponent这个函数不知道是怎么跑进去的,该怎么理解?望不吝赐教importjava.awt.*;importjava.awt.geom.*;importjava ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xqQvb.html" rel="bookmark" class="title">javascript-js文件如何实现分段加载</a>
					<div>
						问题描述 js文件如何实现分段加载 请问,一个很长的网页,每解析一屏加载一段js文件,要怎么做? 解决方案 找jquery.iScroll或者jquery.waterfall这2个插件 解决方案二:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOngaxp.html" rel="bookmark" class="title">Weblogic6&period;0部署和配置WEB应用程序&lpar;6&rpar;</a>
					<div>
						使用URL改写在某些情形下,浏览器也许不接受cookies,这样就不能用cookies来进行会话跟踪.URL改写就是这种情形下的一个解决办法,当Weblogic服务器检测到浏览器不接受cookies时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrq4Op.html" rel="bookmark" class="title">摩根大通 CEO：比特币就是一场&OpenCurlyDoubleQuote;骗局&rdquo;</a>
					<div>
						彭博社今日消息称,摩根大通集团CEO Jamie Dimon 发了话:任何进行比特币交易的员工都要被炒鱿鱼,因为这&quot;太蠢了&quot;. 据了解,周二,Jamie Dimon在一场投资人会议 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
